Class | EventMachine::EvmaTCPServer
In: | lib/pr_eventmachine.rb
Parent: | Selectable

### Methods

eventable_read new schedule_close select_for_reading? start_server

### Public Class methods

new(io)
start_server(host, port)

Versions of ruby 1.8.4 later than May 26 2006 will work properly with an object of type TCPServer. Prior versions won‘t so we play it safe and just build a socket.

### Public Instance methods

eventable_read()
schedule_close()
select_for_reading?()

[Validate]